Symantec Encryption Desktop client for MacOS shows a compatibility warning

book

Article ID: 171792

calendar_today

Updated On:

Products

Symantec Products

Issue/Introduction

When installing the Symantec Encryption Desktop client for MacOS on 10.13.4 or later, a warning appears stating:

"PGP Installer" is not optimized for your Mac.
This app needs to be updated by its developer to improve compatibility.

Likewise, on running the Encryption Desktop client for the first time, similar messages appear: 

"PGP Engine" is not optimized for your Mac.

"Encryption Desktop" is not optimized for your Mac.

Cause

The Symantec Encryption Desktop client is currently built as a 32-bit application. Although no specific dates have been specified, Apple has published plans to discontinue support of 32-bit applications in a future MacOS release.

Environment

Symantec Encryption Desktop 10.4.2 and earlier

Apple MacOS 10.13.4 and later

Resolution

Although this message is displayed, clicking "OK" will allow the application to function properly regardless.  Symantec is currently working to address this in a future release.

Attachments